<?php

/**
 * A helper file for Dcat Admin, to provide autocomplete information to your IDE
 *
 * This file should not be included in your code, only analyzed by your IDE!
 *
 * @author jqh <841324345@qq.com>
 */
namespace Dcat\Admin {
    use Illuminate\Support\Collection;

    /**
     * @property Grid\Column|Collection id
     * @property Grid\Column|Collection created_at
     * @property Grid\Column|Collection updated_at
     * @property Grid\Column|Collection content
     * @property Grid\Column|Collection attr_val
     * @property Grid\Column|Collection attr_sn
     * @property Grid\Column|Collection name
     * @property Grid\Column|Collection type
     * @property Grid\Column|Collection version
     * @property Grid\Column|Collection detail
     * @property Grid\Column|Collection is_enabled
     * @property Grid\Column|Collection parent_id
     * @property Grid\Column|Collection order
     * @property Grid\Column|Collection icon
     * @property Grid\Column|Collection uri
     * @property Grid\Column|Collection extension
     * @property Grid\Column|Collection permission_id
     * @property Grid\Column|Collection menu_id
     * @property Grid\Column|Collection slug
     * @property Grid\Column|Collection http_method
     * @property Grid\Column|Collection http_path
     * @property Grid\Column|Collection role_id
     * @property Grid\Column|Collection user_id
     * @property Grid\Column|Collection value
     * @property Grid\Column|Collection status
     * @property Grid\Column|Collection starttime
     * @property Grid\Column|Collection endtime
     * @property Grid\Column|Collection username
     * @property Grid\Column|Collection password
     * @property Grid\Column|Collection avatar
     * @property Grid\Column|Collection remember_token
     * @property Grid\Column|Collection brief
     * @property Grid\Column|Collection cat_id
     * @property Grid\Column|Collection cover
     * @property Grid\Column|Collection is_show
     * @property Grid\Column|Collection imgUrl
     * @property Grid\Column|Collection city_id
     * @property Grid\Column|Collection level
     * @property Grid\Column|Collection area_code
     * @property Grid\Column|Collection merger_name
     * @property Grid\Column|Collection lng
     * @property Grid\Column|Collection lat
     * @property Grid\Column|Collection pinyin_prefix
     * @property Grid\Column|Collection pinyin
     * @property Grid\Column|Collection og_id
     * @property Grid\Column|Collection nickname
     * @property Grid\Column|Collection phone
     * @property Grid\Column|Collection goods_id
     * @property Grid\Column|Collection star
     * @property Grid\Column|Collection addtime
     * @property Grid\Column|Collection deleted_at
     * @property Grid\Column|Collection uuid
     * @property Grid\Column|Collection connection
     * @property Grid\Column|Collection queue
     * @property Grid\Column|Collection payload
     * @property Grid\Column|Collection exception
     * @property Grid\Column|Collection failed_at
     * @property Grid\Column|Collection merchant_id
     * @property Grid\Column|Collection order_no
     * @property Grid\Column|Collection member_id
     * @property Grid\Column|Collection cont_name
     * @property Grid\Column|Collection cont_phone
     * @property Grid\Column|Collection email
     * @property Grid\Column|Collection entry_mer_type
     * @property Grid\Column|Collection social_credit_code
     * @property Grid\Column|Collection social_credit_code_begin
     * @property Grid\Column|Collection social_credit_code_expires
     * @property Grid\Column|Collection address
     * @property Grid\Column|Collection business_scope
     * @property Grid\Column|Collection legal_cert_type
     * @property Grid\Column|Collection legal_cert_id
     * @property Grid\Column|Collection legal_person
     * @property Grid\Column|Collection legal_cert_id_begin
     * @property Grid\Column|Collection legal_cert_id_expires
     * @property Grid\Column|Collection legal_mp
     * @property Grid\Column|Collection attach_file
     * @property Grid\Column|Collection audit_state
     * @property Grid\Column|Collection audit_desc
     * @property Grid\Column|Collection member_type
     * @property Grid\Column|Collection mid
     * @property Grid\Column|Collection card_id
     * @property Grid\Column|Collection card_name
     * @property Grid\Column|Collection cert_id
     * @property Grid\Column|Collection cert_type
     * @property Grid\Column|Collection tel_no
     * @property Grid\Column|Collection bank_code
     * @property Grid\Column|Collection bank_name
     * @property Grid\Column|Collection bank_acct_type
     * @property Grid\Column|Collection account_id
     * @property Grid\Column|Collection prov_code
     * @property Grid\Column|Collection user_type
     * @property Grid\Column|Collection um_id
     * @property Grid\Column|Collection openid
     * @property Grid\Column|Collection partner_trade_no
     * @property Grid\Column|Collection out_batch_no
     * @property Grid\Column|Collection batch_id
     * @property Grid\Column|Collection batch_status
     * @property Grid\Column|Collection transfer_detail_status
     * @property Grid\Column|Collection amount
     * @property Grid\Column|Collection remark
     * @property Grid\Column|Collection query_times
     * @property Grid\Column|Collection goods_sn
     * @property Grid\Column|Collection goods_name
     * @property Grid\Column|Collection sale
     * @property Grid\Column|Collection goods_price
     * @property Grid\Column|Collection goods_type
     * @property Grid\Column|Collection keywords
     * @property Grid\Column|Collection goods_brief
     * @property Grid\Column|Collection goods_desc
     * @property Grid\Column|Collection intro_desc
     * @property Grid\Column|Collection cover_img
     * @property Grid\Column|Collection carousel
     * @property Grid\Column|Collection high_opinion
     * @property Grid\Column|Collection first_commission
     * @property Grid\Column|Collection second_commission
     * @property Grid\Column|Collection merchant_commission
     * @property Grid\Column|Collection is_hot
     * @property Grid\Column|Collection tags
     * @property Grid\Column|Collection sku
     * @property Grid\Column|Collection sort
     * @property Grid\Column|Collection market_price
     * @property Grid\Column|Collection stock
     * @property Grid\Column|Collection cg_price
     * @property Grid\Column|Collection pic
     * @property Grid\Column|Collection contact
     * @property Grid\Column|Collection is_type
     * @property Grid\Column|Collection order_id
     * @property Grid\Column|Collection goods_number
     * @property Grid\Column|Collection goods_attr
     * @property Grid\Column|Collection goods_img
     * @property Grid\Column|Collection attr_id
     * @property Grid\Column|Collection is_comment
     * @property Grid\Column|Collection is_pay
     * @property Grid\Column|Collection order_sn
     * @property Grid\Column|Collection order_amount
     * @property Grid\Column|Collection order_status
     * @property Grid\Column|Collection pay_status
     * @property Grid\Column|Collection consignee
     * @property Grid\Column|Collection area
     * @property Grid\Column|Collection mobile
     * @property Grid\Column|Collection verification_at
     * @property Grid\Column|Collection verification_code
     * @property Grid\Column|Collection verifi_code_at
     * @property Grid\Column|Collection verifier_id
     * @property Grid\Column|Collection verifier
     * @property Grid\Column|Collection address_id
     * @property Grid\Column|Collection store_id
     * @property Grid\Column|Collection pay_cs
     * @property Grid\Column|Collection order_record
     * @property Grid\Column|Collection goods_amount
     * @property Grid\Column|Collection delivery_type
     * @property Grid\Column|Collection is_commission
     * @property Grid\Column|Collection freeze_stat
     * @property Grid\Column|Collection div_status
     * @property Grid\Column|Collection shipping_name
     * @property Grid\Column|Collection shipping_goods
     * @property Grid\Column|Collection shipping_code
     * @property Grid\Column|Collection shipping_at
     * @property Grid\Column|Collection shipping_type
     * @property Grid\Column|Collection hot_kw
     * @property Grid\Column|Collection bj_invite
     * @property Grid\Column|Collection cp_brief
     * @property Grid\Column|Collection cashout_brief
     * @property Grid\Column|Collection uid
     * @property Grid\Column|Collection contacts
     * @property Grid\Column|Collection total_revenue
     * @property Grid\Column|Collection balance
     * @property Grid\Column|Collection account
     * @property Grid\Column|Collection pwd
     * @property Grid\Column|Collection province_id
     * @property Grid\Column|Collection buycode
     * @property Grid\Column|Collection mgs_id
     * @property Grid\Column|Collection change
     * @property Grid\Column|Collection merchant_name
     * @property Grid\Column|Collection order_price
     * @property Grid\Column|Collection divide_price
     * @property Grid\Column|Collection proportion
     * @property Grid\Column|Collection sh_type
     * @property Grid\Column|Collection is_div
     * @property Grid\Column|Collection other_order
     * @property Grid\Column|Collection payment_id
     * @property Grid\Column|Collection party_order_id
     * @property Grid\Column|Collection money
     * @property Grid\Column|Collection tokenable_type
     * @property Grid\Column|Collection tokenable_id
     * @property Grid\Column|Collection token
     * @property Grid\Column|Collection abilities
     * @property Grid\Column|Collection last_used_at
     * @property Grid\Column|Collection expires_at
     * @property Grid\Column|Collection refund_no
     * @property Grid\Column|Collection lat_lng
     * @property Grid\Column|Collection distance
     * @property Grid\Column|Collection provinceId
     * @property Grid\Column|Collection cityId
     * @property Grid\Column|Collection business_license
     * @property Grid\Column|Collection is_default
     * @property Grid\Column|Collection before_code
     * @property Grid\Column|Collection after_code
     * @property Grid\Column|Collection shopping_cart
     * @property Grid\Column|Collection spuid
     * @property Grid\Column|Collection second_spuid
     *
     * @method Grid\Column|Collection id(string $label = null)
     * @method Grid\Column|Collection created_at(string $label = null)
     * @method Grid\Column|Collection updated_at(string $label = null)
     * @method Grid\Column|Collection content(string $label = null)
     * @method Grid\Column|Collection attr_val(string $label = null)
     * @method Grid\Column|Collection attr_sn(string $label = null)
     * @method Grid\Column|Collection name(string $label = null)
     * @method Grid\Column|Collection type(string $label = null)
     * @method Grid\Column|Collection version(string $label = null)
     * @method Grid\Column|Collection detail(string $label = null)
     * @method Grid\Column|Collection is_enabled(string $label = null)
     * @method Grid\Column|Collection parent_id(string $label = null)
     * @method Grid\Column|Collection order(string $label = null)
     * @method Grid\Column|Collection icon(string $label = null)
     * @method Grid\Column|Collection uri(string $label = null)
     * @method Grid\Column|Collection extension(string $label = null)
     * @method Grid\Column|Collection permission_id(string $label = null)
     * @method Grid\Column|Collection menu_id(string $label = null)
     * @method Grid\Column|Collection slug(string $label = null)
     * @method Grid\Column|Collection http_method(string $label = null)
     * @method Grid\Column|Collection http_path(string $label = null)
     * @method Grid\Column|Collection role_id(string $label = null)
     * @method Grid\Column|Collection user_id(string $label = null)
     * @method Grid\Column|Collection value(string $label = null)
     * @method Grid\Column|Collection status(string $label = null)
     * @method Grid\Column|Collection starttime(string $label = null)
     * @method Grid\Column|Collection endtime(string $label = null)
     * @method Grid\Column|Collection username(string $label = null)
     * @method Grid\Column|Collection password(string $label = null)
     * @method Grid\Column|Collection avatar(string $label = null)
     * @method Grid\Column|Collection remember_token(string $label = null)
     * @method Grid\Column|Collection brief(string $label = null)
     * @method Grid\Column|Collection cat_id(string $label = null)
     * @method Grid\Column|Collection cover(string $label = null)
     * @method Grid\Column|Collection is_show(string $label = null)
     * @method Grid\Column|Collection imgUrl(string $label = null)
     * @method Grid\Column|Collection city_id(string $label = null)
     * @method Grid\Column|Collection level(string $label = null)
     * @method Grid\Column|Collection area_code(string $label = null)
     * @method Grid\Column|Collection merger_name(string $label = null)
     * @method Grid\Column|Collection lng(string $label = null)
     * @method Grid\Column|Collection lat(string $label = null)
     * @method Grid\Column|Collection pinyin_prefix(string $label = null)
     * @method Grid\Column|Collection pinyin(string $label = null)
     * @method Grid\Column|Collection og_id(string $label = null)
     * @method Grid\Column|Collection nickname(string $label = null)
     * @method Grid\Column|Collection phone(string $label = null)
     * @method Grid\Column|Collection goods_id(string $label = null)
     * @method Grid\Column|Collection star(string $label = null)
     * @method Grid\Column|Collection addtime(string $label = null)
     * @method Grid\Column|Collection deleted_at(string $label = null)
     * @method Grid\Column|Collection uuid(string $label = null)
     * @method Grid\Column|Collection connection(string $label = null)
     * @method Grid\Column|Collection queue(string $label = null)
     * @method Grid\Column|Collection payload(string $label = null)
     * @method Grid\Column|Collection exception(string $label = null)
     * @method Grid\Column|Collection failed_at(string $label = null)
     * @method Grid\Column|Collection merchant_id(string $label = null)
     * @method Grid\Column|Collection order_no(string $label = null)
     * @method Grid\Column|Collection member_id(string $label = null)
     * @method Grid\Column|Collection cont_name(string $label = null)
     * @method Grid\Column|Collection cont_phone(string $label = null)
     * @method Grid\Column|Collection email(string $label = null)
     * @method Grid\Column|Collection entry_mer_type(string $label = null)
     * @method Grid\Column|Collection social_credit_code(string $label = null)
     * @method Grid\Column|Collection social_credit_code_begin(string $label = null)
     * @method Grid\Column|Collection social_credit_code_expires(string $label = null)
     * @method Grid\Column|Collection address(string $label = null)
     * @method Grid\Column|Collection business_scope(string $label = null)
     * @method Grid\Column|Collection legal_cert_type(string $label = null)
     * @method Grid\Column|Collection legal_cert_id(string $label = null)
     * @method Grid\Column|Collection legal_person(string $label = null)
     * @method Grid\Column|Collection legal_cert_id_begin(string $label = null)
     * @method Grid\Column|Collection legal_cert_id_expires(string $label = null)
     * @method Grid\Column|Collection legal_mp(string $label = null)
     * @method Grid\Column|Collection attach_file(string $label = null)
     * @method Grid\Column|Collection audit_state(string $label = null)
     * @method Grid\Column|Collection audit_desc(string $label = null)
     * @method Grid\Column|Collection member_type(string $label = null)
     * @method Grid\Column|Collection mid(string $label = null)
     * @method Grid\Column|Collection card_id(string $label = null)
     * @method Grid\Column|Collection card_name(string $label = null)
     * @method Grid\Column|Collection cert_id(string $label = null)
     * @method Grid\Column|Collection cert_type(string $label = null)
     * @method Grid\Column|Collection tel_no(string $label = null)
     * @method Grid\Column|Collection bank_code(string $label = null)
     * @method Grid\Column|Collection bank_name(string $label = null)
     * @method Grid\Column|Collection bank_acct_type(string $label = null)
     * @method Grid\Column|Collection account_id(string $label = null)
     * @method Grid\Column|Collection prov_code(string $label = null)
     * @method Grid\Column|Collection user_type(string $label = null)
     * @method Grid\Column|Collection um_id(string $label = null)
     * @method Grid\Column|Collection openid(string $label = null)
     * @method Grid\Column|Collection partner_trade_no(string $label = null)
     * @method Grid\Column|Collection out_batch_no(string $label = null)
     * @method Grid\Column|Collection batch_id(string $label = null)
     * @method Grid\Column|Collection batch_status(string $label = null)
     * @method Grid\Column|Collection transfer_detail_status(string $label = null)
     * @method Grid\Column|Collection amount(string $label = null)
     * @method Grid\Column|Collection remark(string $label = null)
     * @method Grid\Column|Collection query_times(string $label = null)
     * @method Grid\Column|Collection goods_sn(string $label = null)
     * @method Grid\Column|Collection goods_name(string $label = null)
     * @method Grid\Column|Collection sale(string $label = null)
     * @method Grid\Column|Collection goods_price(string $label = null)
     * @method Grid\Column|Collection goods_type(string $label = null)
     * @method Grid\Column|Collection keywords(string $label = null)
     * @method Grid\Column|Collection goods_brief(string $label = null)
     * @method Grid\Column|Collection goods_desc(string $label = null)
     * @method Grid\Column|Collection intro_desc(string $label = null)
     * @method Grid\Column|Collection cover_img(string $label = null)
     * @method Grid\Column|Collection carousel(string $label = null)
     * @method Grid\Column|Collection high_opinion(string $label = null)
     * @method Grid\Column|Collection first_commission(string $label = null)
     * @method Grid\Column|Collection second_commission(string $label = null)
     * @method Grid\Column|Collection merchant_commission(string $label = null)
     * @method Grid\Column|Collection is_hot(string $label = null)
     * @method Grid\Column|Collection tags(string $label = null)
     * @method Grid\Column|Collection sku(string $label = null)
     * @method Grid\Column|Collection sort(string $label = null)
     * @method Grid\Column|Collection market_price(string $label = null)
     * @method Grid\Column|Collection stock(string $label = null)
     * @method Grid\Column|Collection cg_price(string $label = null)
     * @method Grid\Column|Collection pic(string $label = null)
     * @method Grid\Column|Collection contact(string $label = null)
     * @method Grid\Column|Collection is_type(string $label = null)
     * @method Grid\Column|Collection order_id(string $label = null)
     * @method Grid\Column|Collection goods_number(string $label = null)
     * @method Grid\Column|Collection goods_attr(string $label = null)
     * @method Grid\Column|Collection goods_img(string $label = null)
     * @method Grid\Column|Collection attr_id(string $label = null)
     * @method Grid\Column|Collection is_comment(string $label = null)
     * @method Grid\Column|Collection is_pay(string $label = null)
     * @method Grid\Column|Collection order_sn(string $label = null)
     * @method Grid\Column|Collection order_amount(string $label = null)
     * @method Grid\Column|Collection order_status(string $label = null)
     * @method Grid\Column|Collection pay_status(string $label = null)
     * @method Grid\Column|Collection consignee(string $label = null)
     * @method Grid\Column|Collection area(string $label = null)
     * @method Grid\Column|Collection mobile(string $label = null)
     * @method Grid\Column|Collection verification_at(string $label = null)
     * @method Grid\Column|Collection verification_code(string $label = null)
     * @method Grid\Column|Collection verifi_code_at(string $label = null)
     * @method Grid\Column|Collection verifier_id(string $label = null)
     * @method Grid\Column|Collection verifier(string $label = null)
     * @method Grid\Column|Collection address_id(string $label = null)
     * @method Grid\Column|Collection store_id(string $label = null)
     * @method Grid\Column|Collection pay_cs(string $label = null)
     * @method Grid\Column|Collection order_record(string $label = null)
     * @method Grid\Column|Collection goods_amount(string $label = null)
     * @method Grid\Column|Collection delivery_type(string $label = null)
     * @method Grid\Column|Collection is_commission(string $label = null)
     * @method Grid\Column|Collection freeze_stat(string $label = null)
     * @method Grid\Column|Collection div_status(string $label = null)
     * @method Grid\Column|Collection shipping_name(string $label = null)
     * @method Grid\Column|Collection shipping_goods(string $label = null)
     * @method Grid\Column|Collection shipping_code(string $label = null)
     * @method Grid\Column|Collection shipping_at(string $label = null)
     * @method Grid\Column|Collection shipping_type(string $label = null)
     * @method Grid\Column|Collection hot_kw(string $label = null)
     * @method Grid\Column|Collection bj_invite(string $label = null)
     * @method Grid\Column|Collection cp_brief(string $label = null)
     * @method Grid\Column|Collection cashout_brief(string $label = null)
     * @method Grid\Column|Collection uid(string $label = null)
     * @method Grid\Column|Collection contacts(string $label = null)
     * @method Grid\Column|Collection total_revenue(string $label = null)
     * @method Grid\Column|Collection balance(string $label = null)
     * @method Grid\Column|Collection account(string $label = null)
     * @method Grid\Column|Collection pwd(string $label = null)
     * @method Grid\Column|Collection province_id(string $label = null)
     * @method Grid\Column|Collection buycode(string $label = null)
     * @method Grid\Column|Collection mgs_id(string $label = null)
     * @method Grid\Column|Collection change(string $label = null)
     * @method Grid\Column|Collection merchant_name(string $label = null)
     * @method Grid\Column|Collection order_price(string $label = null)
     * @method Grid\Column|Collection divide_price(string $label = null)
     * @method Grid\Column|Collection proportion(string $label = null)
     * @method Grid\Column|Collection sh_type(string $label = null)
     * @method Grid\Column|Collection is_div(string $label = null)
     * @method Grid\Column|Collection other_order(string $label = null)
     * @method Grid\Column|Collection payment_id(string $label = null)
     * @method Grid\Column|Collection party_order_id(string $label = null)
     * @method Grid\Column|Collection money(string $label = null)
     * @method Grid\Column|Collection tokenable_type(string $label = null)
     * @method Grid\Column|Collection tokenable_id(string $label = null)
     * @method Grid\Column|Collection token(string $label = null)
     * @method Grid\Column|Collection abilities(string $label = null)
     * @method Grid\Column|Collection last_used_at(string $label = null)
     * @method Grid\Column|Collection expires_at(string $label = null)
     * @method Grid\Column|Collection refund_no(string $label = null)
     * @method Grid\Column|Collection lat_lng(string $label = null)
     * @method Grid\Column|Collection distance(string $label = null)
     * @method Grid\Column|Collection provinceId(string $label = null)
     * @method Grid\Column|Collection cityId(string $label = null)
     * @method Grid\Column|Collection business_license(string $label = null)
     * @method Grid\Column|Collection is_default(string $label = null)
     * @method Grid\Column|Collection before_code(string $label = null)
     * @method Grid\Column|Collection after_code(string $label = null)
     * @method Grid\Column|Collection shopping_cart(string $label = null)
     * @method Grid\Column|Collection spuid(string $label = null)
     * @method Grid\Column|Collection second_spuid(string $label = null)
     */
    class Grid {}

    class MiniGrid extends Grid {}

    /**
     * @property Show\Field|Collection id
     * @property Show\Field|Collection created_at
     * @property Show\Field|Collection updated_at
     * @property Show\Field|Collection content
     * @property Show\Field|Collection attr_val
     * @property Show\Field|Collection attr_sn
     * @property Show\Field|Collection name
     * @property Show\Field|Collection type
     * @property Show\Field|Collection version
     * @property Show\Field|Collection detail
     * @property Show\Field|Collection is_enabled
     * @property Show\Field|Collection parent_id
     * @property Show\Field|Collection order
     * @property Show\Field|Collection icon
     * @property Show\Field|Collection uri
     * @property Show\Field|Collection extension
     * @property Show\Field|Collection permission_id
     * @property Show\Field|Collection menu_id
     * @property Show\Field|Collection slug
     * @property Show\Field|Collection http_method
     * @property Show\Field|Collection http_path
     * @property Show\Field|Collection role_id
     * @property Show\Field|Collection user_id
     * @property Show\Field|Collection value
     * @property Show\Field|Collection status
     * @property Show\Field|Collection starttime
     * @property Show\Field|Collection endtime
     * @property Show\Field|Collection username
     * @property Show\Field|Collection password
     * @property Show\Field|Collection avatar
     * @property Show\Field|Collection remember_token
     * @property Show\Field|Collection brief
     * @property Show\Field|Collection cat_id
     * @property Show\Field|Collection cover
     * @property Show\Field|Collection is_show
     * @property Show\Field|Collection imgUrl
     * @property Show\Field|Collection city_id
     * @property Show\Field|Collection level
     * @property Show\Field|Collection area_code
     * @property Show\Field|Collection merger_name
     * @property Show\Field|Collection lng
     * @property Show\Field|Collection lat
     * @property Show\Field|Collection pinyin_prefix
     * @property Show\Field|Collection pinyin
     * @property Show\Field|Collection og_id
     * @property Show\Field|Collection nickname
     * @property Show\Field|Collection phone
     * @property Show\Field|Collection goods_id
     * @property Show\Field|Collection star
     * @property Show\Field|Collection addtime
     * @property Show\Field|Collection deleted_at
     * @property Show\Field|Collection uuid
     * @property Show\Field|Collection connection
     * @property Show\Field|Collection queue
     * @property Show\Field|Collection payload
     * @property Show\Field|Collection exception
     * @property Show\Field|Collection failed_at
     * @property Show\Field|Collection merchant_id
     * @property Show\Field|Collection order_no
     * @property Show\Field|Collection member_id
     * @property Show\Field|Collection cont_name
     * @property Show\Field|Collection cont_phone
     * @property Show\Field|Collection email
     * @property Show\Field|Collection entry_mer_type
     * @property Show\Field|Collection social_credit_code
     * @property Show\Field|Collection social_credit_code_begin
     * @property Show\Field|Collection social_credit_code_expires
     * @property Show\Field|Collection address
     * @property Show\Field|Collection business_scope
     * @property Show\Field|Collection legal_cert_type
     * @property Show\Field|Collection legal_cert_id
     * @property Show\Field|Collection legal_person
     * @property Show\Field|Collection legal_cert_id_begin
     * @property Show\Field|Collection legal_cert_id_expires
     * @property Show\Field|Collection legal_mp
     * @property Show\Field|Collection attach_file
     * @property Show\Field|Collection audit_state
     * @property Show\Field|Collection audit_desc
     * @property Show\Field|Collection member_type
     * @property Show\Field|Collection mid
     * @property Show\Field|Collection card_id
     * @property Show\Field|Collection card_name
     * @property Show\Field|Collection cert_id
     * @property Show\Field|Collection cert_type
     * @property Show\Field|Collection tel_no
     * @property Show\Field|Collection bank_code
     * @property Show\Field|Collection bank_name
     * @property Show\Field|Collection bank_acct_type
     * @property Show\Field|Collection account_id
     * @property Show\Field|Collection prov_code
     * @property Show\Field|Collection user_type
     * @property Show\Field|Collection um_id
     * @property Show\Field|Collection openid
     * @property Show\Field|Collection partner_trade_no
     * @property Show\Field|Collection out_batch_no
     * @property Show\Field|Collection batch_id
     * @property Show\Field|Collection batch_status
     * @property Show\Field|Collection transfer_detail_status
     * @property Show\Field|Collection amount
     * @property Show\Field|Collection remark
     * @property Show\Field|Collection query_times
     * @property Show\Field|Collection goods_sn
     * @property Show\Field|Collection goods_name
     * @property Show\Field|Collection sale
     * @property Show\Field|Collection goods_price
     * @property Show\Field|Collection goods_type
     * @property Show\Field|Collection keywords
     * @property Show\Field|Collection goods_brief
     * @property Show\Field|Collection goods_desc
     * @property Show\Field|Collection intro_desc
     * @property Show\Field|Collection cover_img
     * @property Show\Field|Collection carousel
     * @property Show\Field|Collection high_opinion
     * @property Show\Field|Collection first_commission
     * @property Show\Field|Collection second_commission
     * @property Show\Field|Collection merchant_commission
     * @property Show\Field|Collection is_hot
     * @property Show\Field|Collection tags
     * @property Show\Field|Collection sku
     * @property Show\Field|Collection sort
     * @property Show\Field|Collection market_price
     * @property Show\Field|Collection stock
     * @property Show\Field|Collection cg_price
     * @property Show\Field|Collection pic
     * @property Show\Field|Collection contact
     * @property Show\Field|Collection is_type
     * @property Show\Field|Collection order_id
     * @property Show\Field|Collection goods_number
     * @property Show\Field|Collection goods_attr
     * @property Show\Field|Collection goods_img
     * @property Show\Field|Collection attr_id
     * @property Show\Field|Collection is_comment
     * @property Show\Field|Collection is_pay
     * @property Show\Field|Collection order_sn
     * @property Show\Field|Collection order_amount
     * @property Show\Field|Collection order_status
     * @property Show\Field|Collection pay_status
     * @property Show\Field|Collection consignee
     * @property Show\Field|Collection area
     * @property Show\Field|Collection mobile
     * @property Show\Field|Collection verification_at
     * @property Show\Field|Collection verification_code
     * @property Show\Field|Collection verifi_code_at
     * @property Show\Field|Collection verifier_id
     * @property Show\Field|Collection verifier
     * @property Show\Field|Collection address_id
     * @property Show\Field|Collection store_id
     * @property Show\Field|Collection pay_cs
     * @property Show\Field|Collection order_record
     * @property Show\Field|Collection goods_amount
     * @property Show\Field|Collection delivery_type
     * @property Show\Field|Collection is_commission
     * @property Show\Field|Collection freeze_stat
     * @property Show\Field|Collection div_status
     * @property Show\Field|Collection shipping_name
     * @property Show\Field|Collection shipping_goods
     * @property Show\Field|Collection shipping_code
     * @property Show\Field|Collection shipping_at
     * @property Show\Field|Collection shipping_type
     * @property Show\Field|Collection hot_kw
     * @property Show\Field|Collection bj_invite
     * @property Show\Field|Collection cp_brief
     * @property Show\Field|Collection cashout_brief
     * @property Show\Field|Collection uid
     * @property Show\Field|Collection contacts
     * @property Show\Field|Collection total_revenue
     * @property Show\Field|Collection balance
     * @property Show\Field|Collection account
     * @property Show\Field|Collection pwd
     * @property Show\Field|Collection province_id
     * @property Show\Field|Collection buycode
     * @property Show\Field|Collection mgs_id
     * @property Show\Field|Collection change
     * @property Show\Field|Collection merchant_name
     * @property Show\Field|Collection order_price
     * @property Show\Field|Collection divide_price
     * @property Show\Field|Collection proportion
     * @property Show\Field|Collection sh_type
     * @property Show\Field|Collection is_div
     * @property Show\Field|Collection other_order
     * @property Show\Field|Collection payment_id
     * @property Show\Field|Collection party_order_id
     * @property Show\Field|Collection money
     * @property Show\Field|Collection tokenable_type
     * @property Show\Field|Collection tokenable_id
     * @property Show\Field|Collection token
     * @property Show\Field|Collection abilities
     * @property Show\Field|Collection last_used_at
     * @property Show\Field|Collection expires_at
     * @property Show\Field|Collection refund_no
     * @property Show\Field|Collection lat_lng
     * @property Show\Field|Collection distance
     * @property Show\Field|Collection provinceId
     * @property Show\Field|Collection cityId
     * @property Show\Field|Collection business_license
     * @property Show\Field|Collection is_default
     * @property Show\Field|Collection before_code
     * @property Show\Field|Collection after_code
     * @property Show\Field|Collection shopping_cart
     * @property Show\Field|Collection spuid
     * @property Show\Field|Collection second_spuid
     *
     * @method Show\Field|Collection id(string $label = null)
     * @method Show\Field|Collection created_at(string $label = null)
     * @method Show\Field|Collection updated_at(string $label = null)
     * @method Show\Field|Collection content(string $label = null)
     * @method Show\Field|Collection attr_val(string $label = null)
     * @method Show\Field|Collection attr_sn(string $label = null)
     * @method Show\Field|Collection name(string $label = null)
     * @method Show\Field|Collection type(string $label = null)
     * @method Show\Field|Collection version(string $label = null)
     * @method Show\Field|Collection detail(string $label = null)
     * @method Show\Field|Collection is_enabled(string $label = null)
     * @method Show\Field|Collection parent_id(string $label = null)
     * @method Show\Field|Collection order(string $label = null)
     * @method Show\Field|Collection icon(string $label = null)
     * @method Show\Field|Collection uri(string $label = null)
     * @method Show\Field|Collection extension(string $label = null)
     * @method Show\Field|Collection permission_id(string $label = null)
     * @method Show\Field|Collection menu_id(string $label = null)
     * @method Show\Field|Collection slug(string $label = null)
     * @method Show\Field|Collection http_method(string $label = null)
     * @method Show\Field|Collection http_path(string $label = null)
     * @method Show\Field|Collection role_id(string $label = null)
     * @method Show\Field|Collection user_id(string $label = null)
     * @method Show\Field|Collection value(string $label = null)
     * @method Show\Field|Collection status(string $label = null)
     * @method Show\Field|Collection starttime(string $label = null)
     * @method Show\Field|Collection endtime(string $label = null)
     * @method Show\Field|Collection username(string $label = null)
     * @method Show\Field|Collection password(string $label = null)
     * @method Show\Field|Collection avatar(string $label = null)
     * @method Show\Field|Collection remember_token(string $label = null)
     * @method Show\Field|Collection brief(string $label = null)
     * @method Show\Field|Collection cat_id(string $label = null)
     * @method Show\Field|Collection cover(string $label = null)
     * @method Show\Field|Collection is_show(string $label = null)
     * @method Show\Field|Collection imgUrl(string $label = null)
     * @method Show\Field|Collection city_id(string $label = null)
     * @method Show\Field|Collection level(string $label = null)
     * @method Show\Field|Collection area_code(string $label = null)
     * @method Show\Field|Collection merger_name(string $label = null)
     * @method Show\Field|Collection lng(string $label = null)
     * @method Show\Field|Collection lat(string $label = null)
     * @method Show\Field|Collection pinyin_prefix(string $label = null)
     * @method Show\Field|Collection pinyin(string $label = null)
     * @method Show\Field|Collection og_id(string $label = null)
     * @method Show\Field|Collection nickname(string $label = null)
     * @method Show\Field|Collection phone(string $label = null)
     * @method Show\Field|Collection goods_id(string $label = null)
     * @method Show\Field|Collection star(string $label = null)
     * @method Show\Field|Collection addtime(string $label = null)
     * @method Show\Field|Collection deleted_at(string $label = null)
     * @method Show\Field|Collection uuid(string $label = null)
     * @method Show\Field|Collection connection(string $label = null)
     * @method Show\Field|Collection queue(string $label = null)
     * @method Show\Field|Collection payload(string $label = null)
     * @method Show\Field|Collection exception(string $label = null)
     * @method Show\Field|Collection failed_at(string $label = null)
     * @method Show\Field|Collection merchant_id(string $label = null)
     * @method Show\Field|Collection order_no(string $label = null)
     * @method Show\Field|Collection member_id(string $label = null)
     * @method Show\Field|Collection cont_name(string $label = null)
     * @method Show\Field|Collection cont_phone(string $label = null)
     * @method Show\Field|Collection email(string $label = null)
     * @method Show\Field|Collection entry_mer_type(string $label = null)
     * @method Show\Field|Collection social_credit_code(string $label = null)
     * @method Show\Field|Collection social_credit_code_begin(string $label = null)
     * @method Show\Field|Collection social_credit_code_expires(string $label = null)
     * @method Show\Field|Collection address(string $label = null)
     * @method Show\Field|Collection business_scope(string $label = null)
     * @method Show\Field|Collection legal_cert_type(string $label = null)
     * @method Show\Field|Collection legal_cert_id(string $label = null)
     * @method Show\Field|Collection legal_person(string $label = null)
     * @method Show\Field|Collection legal_cert_id_begin(string $label = null)
     * @method Show\Field|Collection legal_cert_id_expires(string $label = null)
     * @method Show\Field|Collection legal_mp(string $label = null)
     * @method Show\Field|Collection attach_file(string $label = null)
     * @method Show\Field|Collection audit_state(string $label = null)
     * @method Show\Field|Collection audit_desc(string $label = null)
     * @method Show\Field|Collection member_type(string $label = null)
     * @method Show\Field|Collection mid(string $label = null)
     * @method Show\Field|Collection card_id(string $label = null)
     * @method Show\Field|Collection card_name(string $label = null)
     * @method Show\Field|Collection cert_id(string $label = null)
     * @method Show\Field|Collection cert_type(string $label = null)
     * @method Show\Field|Collection tel_no(string $label = null)
     * @method Show\Field|Collection bank_code(string $label = null)
     * @method Show\Field|Collection bank_name(string $label = null)
     * @method Show\Field|Collection bank_acct_type(string $label = null)
     * @method Show\Field|Collection account_id(string $label = null)
     * @method Show\Field|Collection prov_code(string $label = null)
     * @method Show\Field|Collection user_type(string $label = null)
     * @method Show\Field|Collection um_id(string $label = null)
     * @method Show\Field|Collection openid(string $label = null)
     * @method Show\Field|Collection partner_trade_no(string $label = null)
     * @method Show\Field|Collection out_batch_no(string $label = null)
     * @method Show\Field|Collection batch_id(string $label = null)
     * @method Show\Field|Collection batch_status(string $label = null)
     * @method Show\Field|Collection transfer_detail_status(string $label = null)
     * @method Show\Field|Collection amount(string $label = null)
     * @method Show\Field|Collection remark(string $label = null)
     * @method Show\Field|Collection query_times(string $label = null)
     * @method Show\Field|Collection goods_sn(string $label = null)
     * @method Show\Field|Collection goods_name(string $label = null)
     * @method Show\Field|Collection sale(string $label = null)
     * @method Show\Field|Collection goods_price(string $label = null)
     * @method Show\Field|Collection goods_type(string $label = null)
     * @method Show\Field|Collection keywords(string $label = null)
     * @method Show\Field|Collection goods_brief(string $label = null)
     * @method Show\Field|Collection goods_desc(string $label = null)
     * @method Show\Field|Collection intro_desc(string $label = null)
     * @method Show\Field|Collection cover_img(string $label = null)
     * @method Show\Field|Collection carousel(string $label = null)
     * @method Show\Field|Collection high_opinion(string $label = null)
     * @method Show\Field|Collection first_commission(string $label = null)
     * @method Show\Field|Collection second_commission(string $label = null)
     * @method Show\Field|Collection merchant_commission(string $label = null)
     * @method Show\Field|Collection is_hot(string $label = null)
     * @method Show\Field|Collection tags(string $label = null)
     * @method Show\Field|Collection sku(string $label = null)
     * @method Show\Field|Collection sort(string $label = null)
     * @method Show\Field|Collection market_price(string $label = null)
     * @method Show\Field|Collection stock(string $label = null)
     * @method Show\Field|Collection cg_price(string $label = null)
     * @method Show\Field|Collection pic(string $label = null)
     * @method Show\Field|Collection contact(string $label = null)
     * @method Show\Field|Collection is_type(string $label = null)
     * @method Show\Field|Collection order_id(string $label = null)
     * @method Show\Field|Collection goods_number(string $label = null)
     * @method Show\Field|Collection goods_attr(string $label = null)
     * @method Show\Field|Collection goods_img(string $label = null)
     * @method Show\Field|Collection attr_id(string $label = null)
     * @method Show\Field|Collection is_comment(string $label = null)
     * @method Show\Field|Collection is_pay(string $label = null)
     * @method Show\Field|Collection order_sn(string $label = null)
     * @method Show\Field|Collection order_amount(string $label = null)
     * @method Show\Field|Collection order_status(string $label = null)
     * @method Show\Field|Collection pay_status(string $label = null)
     * @method Show\Field|Collection consignee(string $label = null)
     * @method Show\Field|Collection area(string $label = null)
     * @method Show\Field|Collection mobile(string $label = null)
     * @method Show\Field|Collection verification_at(string $label = null)
     * @method Show\Field|Collection verification_code(string $label = null)
     * @method Show\Field|Collection verifi_code_at(string $label = null)
     * @method Show\Field|Collection verifier_id(string $label = null)
     * @method Show\Field|Collection verifier(string $label = null)
     * @method Show\Field|Collection address_id(string $label = null)
     * @method Show\Field|Collection store_id(string $label = null)
     * @method Show\Field|Collection pay_cs(string $label = null)
     * @method Show\Field|Collection order_record(string $label = null)
     * @method Show\Field|Collection goods_amount(string $label = null)
     * @method Show\Field|Collection delivery_type(string $label = null)
     * @method Show\Field|Collection is_commission(string $label = null)
     * @method Show\Field|Collection freeze_stat(string $label = null)
     * @method Show\Field|Collection div_status(string $label = null)
     * @method Show\Field|Collection shipping_name(string $label = null)
     * @method Show\Field|Collection shipping_goods(string $label = null)
     * @method Show\Field|Collection shipping_code(string $label = null)
     * @method Show\Field|Collection shipping_at(string $label = null)
     * @method Show\Field|Collection shipping_type(string $label = null)
     * @method Show\Field|Collection hot_kw(string $label = null)
     * @method Show\Field|Collection bj_invite(string $label = null)
     * @method Show\Field|Collection cp_brief(string $label = null)
     * @method Show\Field|Collection cashout_brief(string $label = null)
     * @method Show\Field|Collection uid(string $label = null)
     * @method Show\Field|Collection contacts(string $label = null)
     * @method Show\Field|Collection total_revenue(string $label = null)
     * @method Show\Field|Collection balance(string $label = null)
     * @method Show\Field|Collection account(string $label = null)
     * @method Show\Field|Collection pwd(string $label = null)
     * @method Show\Field|Collection province_id(string $label = null)
     * @method Show\Field|Collection buycode(string $label = null)
     * @method Show\Field|Collection mgs_id(string $label = null)
     * @method Show\Field|Collection change(string $label = null)
     * @method Show\Field|Collection merchant_name(string $label = null)
     * @method Show\Field|Collection order_price(string $label = null)
     * @method Show\Field|Collection divide_price(string $label = null)
     * @method Show\Field|Collection proportion(string $label = null)
     * @method Show\Field|Collection sh_type(string $label = null)
     * @method Show\Field|Collection is_div(string $label = null)
     * @method Show\Field|Collection other_order(string $label = null)
     * @method Show\Field|Collection payment_id(string $label = null)
     * @method Show\Field|Collection party_order_id(string $label = null)
     * @method Show\Field|Collection money(string $label = null)
     * @method Show\Field|Collection tokenable_type(string $label = null)
     * @method Show\Field|Collection tokenable_id(string $label = null)
     * @method Show\Field|Collection token(string $label = null)
     * @method Show\Field|Collection abilities(string $label = null)
     * @method Show\Field|Collection last_used_at(string $label = null)
     * @method Show\Field|Collection expires_at(string $label = null)
     * @method Show\Field|Collection refund_no(string $label = null)
     * @method Show\Field|Collection lat_lng(string $label = null)
     * @method Show\Field|Collection distance(string $label = null)
     * @method Show\Field|Collection provinceId(string $label = null)
     * @method Show\Field|Collection cityId(string $label = null)
     * @method Show\Field|Collection business_license(string $label = null)
     * @method Show\Field|Collection is_default(string $label = null)
     * @method Show\Field|Collection before_code(string $label = null)
     * @method Show\Field|Collection after_code(string $label = null)
     * @method Show\Field|Collection shopping_cart(string $label = null)
     * @method Show\Field|Collection spuid(string $label = null)
     * @method Show\Field|Collection second_spuid(string $label = null)
     */
    class Show {}

    /**
     * @method \Dcat\Admin\Extension\EasySku\SkuField sku(...$params)
     */
    class Form {}

}

namespace Dcat\Admin\Grid {
    /**
     
     */
    class Column {}

    /**
     
     */
    class Filter {}
}

namespace Dcat\Admin\Show {
    /**
     
     */
    class Field {}
}
